<?php

require_once("_frontend.php");

class Manuals extends Frontend {
  
  var $o_kartach, $o_firmach, $o_certifikate, $o_tlaci;
  
  function Manuals() {
    parent::Frontend();
    
    $this->load->model("firma");
    $this->load->model("kategoria");
    
    $this->_prepareLangPanel("manuals");
    
    $this->_assign('page_class', 'manuals');
    
    $this->load->model('clanok');
    
    $pole = array();
    $this->o_kartach = $this->clanok->vyberPodlaIdentifikatoru($this->jazyk, 'about_cart');
    $pole['o_kartach'] = $this->o_kartach['clanok_nazov'];
    $this->o_firmach = $this->clanok->vyberPodlaIdentifikatoru($this->jazyk, 'about_firms');
    $pole['o_firmach'] = $this->o_firmach['clanok_nazov'];
    $this->o_certifikate = $this->clanok->vyberPodlaIdentifikatoru($this->jazyk, 'about_certificate');
    $pole['o_certifikate'] = $this->o_certifikate['clanok_nazov'];
    $this->o_tlaci = $this->clanok->vyberPodlaIdentifikatoru($this->jazyk, 'about_printing');
    $pole['o_tlaci'] = $this->o_tlaci['clanok_nazov'];
    
    $this->_assign('menu', $pole);
    
    $lang = $this->language->getLang('manuals');
    $this->_assign('main_lang', $lang);
    
    $this->_setHeader($lang['header']);
  }


  function index()
  {
    $this->_assign('article', $this->o_kartach);
    
    $this->_setBody('manuals');
    $this->_display();
  }
  
  function firms()
  {
    $this->_assign('article', $this->o_firmach);
    
    $this->_setBody('manuals');
    $this->_display();
  }
  
  function certificate()
  {
    $this->_assign('article', $this->o_certifikate);
    
    $this->_setBody('manuals');
    $this->_display();
  }
  
  function printing()
  {
    $this->_assign('article', $this->o_tlaci);
    
    $this->_setBody('manuals');
    $this->_display();
  }
}

?>